
Redmine - Feature #994

Add global reports for all projects

2008-04-04 09:46 - Maxim Krušina

Status: Closed Start date: 2008-04-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed   

Description

This is really one of last functionalities we're missing in redmine.

We need to have time reports across all projects.

I know there was already some discussion around this, but I cannot find related tickets now.

Also there was idea to move this functionality to Time Sheet plugin, but I really think that it will be better to incorporate this directly

into Redmine for several reasons:

Much faster development of Redmine than development of plugin

Current reports are just great, I don't know object model exactly, but I thik it's just a step from this functionality

All future improvements will be applied to global reporst if it will be park of system and not stand-alone plugin

Plugin do almost the same what is already in Redmine, so it duplicates functionality a bit

Anyway, there is suggestion how it can work:

Project specific report is: http://redmine.example.com/projects/projectname/timelog/report

Global report URL can be: http://redmine.example.com/timelog/report

This will help us to track what all our developers doing in perspective of day and week, so it will dramatically improve project

management flexibility.

PS: We already developed our hack for this, but because we're PHP developers, we have some PHP hack which looks up

infromation from redmine's DB.

If anyone is interested, I can post some screenshots.

PPS: Because time-reporting is critical functionality for our project management in our company, I would like to prepare some more

imrpovments on how reports can work.

Related issues:

Related to Redmine - Feature #301: Reports on all projects Closed

Related to Redmine - Feature #348: GANTT of projects assigned to user Closed

Related to Redmine - Feature #1282: Add global Spent time report Closed 2008-05-22

Associated revisions

Revision 1778 - 2008-08-31 18:34 - Jean-Philippe Lang

Adds cross-project time reports support (#994).

History

#1 - 2008-04-04 09:49 - Maxim Krušina

More on this: #301

#2 - 2008-04-04 17:38 - Eric Davis

Also there was idea to move this functionality to Time Sheet plugin, but I really think that it will be better to incorporate this directly into Redmine

for several reasons:

 Yes, the Timesheet plugin was created to work around Redmine lacking a global reporting area.  If there was global reporting, the plugin wouldn't be

needed and I can focus on more important plugins.
+1

#3 - 2008-04-04 17:50 - Maxim Krušina

Eric> Thank you for supporting idea ;)

#4 - 2008-04-12 00:04 - Maxim Krušina

+10 ;)

#5 - 2008-06-04 19:31 - Isidoro Trevino

+1

#6 - 2008-08-31 18:31 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Feature added in r1778.
